订单 API
由
scripts/generate-api-docs.ts自动生成 —— 请勿手改 共 12 个端点
DELETE /order/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /order/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
PATCH /order/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
请求体
json
{
"$ref": "#/components/schemas/UpdateOrderDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /order/{id}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
请求体
json
{
"$ref": "#/components/schemas/UpdateAllOrderDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
PUT /order/{id}/cancel
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
id | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
DELETE /order/{ids}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
ids | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /order/enroll
无描述
请求体
json
{
"$ref": "#/components/schemas/EnrollMemberOrderDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
GET /order/list
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /order/myList
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /order/rechargeList
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /order/syncInvalidOrder
无描述
请求体
json
{
"$ref": "#/components/schemas/SyncInvalidOrderDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
GET /order/unpayList
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |